Bug 239767 - [NEW PORT] sysutils/sensu-go: Open source monitoring tool for ephemeral infrastructure & distributed applications
Summary: [NEW PORT] sysutils/sensu-go: Open source monitoring tool for ephemeral infra...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ryan Steinmetz
URL: https://github.com/sensu/sensu-go
Keywords: feature
Depends on:
Blocks:
 
Reported: 2019-08-10 22:05 UTC by jayme
Modified: 2019-08-23 03:16 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
sensu-go.shar (7.82 KB, text/plain)
2019-08-10 22:05 UTC, jayme
no flags Details
update sensu-go.shar (9.30 KB, text/plain)
2019-08-10 23:50 UTC, jayme
no flags Details
sensu-go.shar (9.34 KB, text/plain)
2019-08-11 00:28 UTC, jayme
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jayme 2019-08-10 22:05:56 UTC
Created attachment 206429 [details]
sensu-go.shar

Hello,

New port for https://github.com/sensu/sensu-go version 5.11.1

sensu-agent has been tested to be working with sensu assets and checks.

sensuctl has been tested and can communicate with a sensu-backend

sensu-backend is untested and thus disabled.

thanks!
Comment 1 jayme 2019-08-10 23:50:46 UTC
Created attachment 206431 [details]
update sensu-go.shar

Apologies, this should be the correct sensu-go.shar. This shar has been updated to not include sensuctl by default. It also sets up support in Makefile and files/ for the possible sensu-backend builds. 

Tested with `portlint -AC` as well.
Comment 2 jayme 2019-08-11 00:28:00 UTC
Created attachment 206433 [details]
sensu-go.shar

This update will correct the previous shar that installed sensu-backend init script regardless if defined/broken.

My apologies again - this should be the last fix for now.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-11 02:51:47 UTC
Thank you for the new port submission Jayme

Review items:

- COMMENT should be improved. Use an upstream (canonical) short description
- USE/USES should be grouped/sorted
- Use <OPTIONS>_VARS instead of PORT_OPTIONS:MSENSU_BACKEND conditional
- Use options target helpers instead of 'if ${PORT_OPTIONS:*' in do-install [1] 

Probably needs to run this through portlint / poudriere before submitting an updated patch/shar, as there are likely further issues [2]

[1] https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-order-targets
[2] https://www.freebsd.org/doc/en/books/porters-handbook/testing.html
Comment 4 Ryan Steinmetz freebsd_committer freebsd_triage 2019-08-14 16:32:12 UTC
Thanks!
Comment 5 commit-hook freebsd_committer 2019-08-14 16:32:34 UTC
A commit references this bug:

Author: zi
Date: Wed Aug 14 16:32:24 UTC 2019
New revision: 508932
URL: https://svnweb.freebsd.org/changeset/ports/508932

Log:
  New port: sysutils/sensu-go:

  Sensu is an open source monitoring tool for ephemeral infrastructure and
  distributed applications. It is an agent based monitoring system with
  built-in auto-discovery, making it very well-suited for cloud environments.

  Sensu uses service checks to monitor service health and collect telemetry
  data. It also has a number of well defined APIs for configuration, external
  data input, and to provide access to Sensu's data. Sensu is extremely
  extensible and is commonly referred to as "the monitoring router".

  WWW: https://github.com/sensu/sensu-go/

  PR:		239767
  Submitted by:	jayme <jp+ports@supplntr.io>

Changes:
  head/sysutils/Makefile
  head/sysutils/sensu-go/
  head/sysutils/sensu-go/Makefile
  head/sysutils/sensu-go/distinfo
  head/sysutils/sensu-go/files/
  head/sysutils/sensu-go/files/sensu-agent.in
  head/sysutils/sensu-go/files/sensu-agent.yml.sample
  head/sysutils/sensu-go/files/sensu-backend.in
  head/sysutils/sensu-go/files/sensu-backend.yml.sample
  head/sysutils/sensu-go/pkg-descr
  head/sysutils/sensu-go/pkg-plist